System 2.0.0.0 4.0.0.0 System.Attribute System.AttributeUsage(System.AttributeTargets.Class)

The is used to specify the properties used with lookup-based binding, particularly and controls.

The is specified at the class level. The class can be inherited and does not allow multiple attributes on the same class.

Specifies the properties that support lookup-based binding. This class cannot be inherited.

- Constructor
  2.0.0.0
  4.0.0.0

  The default constructor sets the , , , and properties to null.

  Initializes a new instance of the class using no parameters.

- Constructor
  2.0.0.0
  4.0.0.0

  This constructor sets each of its public properties to the corresponding supplied parameter; for example, the property is set to .

  Initializes a new instance of the class.

  The name of the property to be used as the data source.
  The name of the property to be used for the display name.
  The name of the property to be used as the source for values.
  The name of the property to be used for lookups.
- Property
  2.0.0.0
  4.0.0.0
  System.String To be added.

  The property is set in the constructors for this class.

  Gets the name of the data source property for the component to which the is bound.

- Field
  2.0.0.0
  4.0.0.0
  System.ComponentModel.LookupBindingPropertiesAttribute

  The member is a static, read-only field that defines an instance of the class initialized with the default constructor.

  Represents the default value for the class.

- Property
  2.0.0.0
  4.0.0.0
  System.String To be added.

  The property is set in the constructors for this class.

  Gets the name of the display member property for the component to which the is bound.

- Method
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  The method returns true if the parameter is of type and all the public properties—, , , and —are equal to each other.

  Determines whether the specified is equal to the current instance.

  true if the object is equal to the current instance; otherwise, false, indicating they are not equal.

  The to compare with the current instance
- Method
  2.0.0.0
  4.0.0.0
  System.Int32 To be added.

  Returns the hash code for this instance.

  A hash code for the current .

- Property
  2.0.0.0
  4.0.0.0
  System.String To be added.

  The property is set in the constructors for this class.

  Gets the name of the lookup member for the component to which this attribute is bound.

- Property
  2.0.0.0
  4.0.0.0
  System.String To be added.

  The property is set in the constructors for this class.

  Gets the name of the value member property for the component to which the is bound.